import 'package:flutter/material.dart';
import 'package:og1_system/og1_system.dart';
import 'package:og1_ui/og1_ui.dart';

class CommodityService {
  final List<CommodityModel> supportedCommodities;

  const CommodityService(this.supportedCommodities);

  Future<CommodityModel> get selectedCommodity async {
    return getCommodity(await SharePreferenceService.getValue<String>(
        SharePreferenceKey.selectedCommodity));
  }

  Future<void> setCommodity(
      BuildContext context, CommodityModel commodity) async {
    if (await selectedCommodity != commodity) {
      await SharePreferenceService.setValue(
          SharePreferenceKey.selectedCommodity, commodity.id);
    }
  }

  CommodityModel getCommodity(int? commodity) {
    if (commodity != null) {
      return supportedCommodities.firstWhere((comm) => comm.id == commodity,
          orElse: () => supportedCommodities.first);
    }
    return supportedCommodities.first;
  }
}
