import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/menu_section_model.dart';

import 'og1_menu_profile_avatar.dart';
import 'og1_menu_section.dart';

class Og1Menu extends StatelessWidget {
  final List<MenuSectionModel> menuSecions;

  const Og1Menu({Key? key, required this.menuSecions}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Wrap(
      alignment: WrapAlignment.spaceEvenly,
      children: [
        const MenuProfileAvatar(),
        SizedBox(
            width: 400,
            height: 400,
            child: Center(
                child: ListView(children: [
              ...menuSecions
                  .map((section) => Og1MenuSection(Key(section.title), section))
                  .toList()
            ]))),
      ],
    );
  }
}
