import 'package:flutter/material.dart';
import 'package:og1_system/og1_system.dart';

class MenuProfileAvatar extends StatelessWidget {
  final Og1User? currentUser;

  const MenuProfileAvatar({Key? key, this.currentUser}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(children: [
      Container(
        width: 250,
        height: 250,
        padding: const EdgeInsets.all(8),
        decoration: avatarDecoration,
        child: Container(
          decoration: avatarDecoration,
          padding: const EdgeInsets.all(3),
          child: Container(
            decoration: BoxDecoration(
              shape: BoxShape.circle,
              image: DecorationImage(
                image: NetworkImage(currentUser?.user.photoURL ??
                    'https://st3.depositphotos.com/15648834/17930/v/600/depositphotos_179308454-stock-illustration-unknown-person-silhouette-glasses-profile.jpg'),
              ),
            ),
          ),
        ),
      ),
      Text(currentUser?.user.displayName ?? ''),
    ]);
  }
}

BoxDecoration avatarDecoration = BoxDecoration(
    shape: BoxShape.circle,
    color: Colors.grey.shade200,
    boxShadow: const [
      BoxShadow(
        color: Colors.white,
        offset: Offset(10, 10),
        blurRadius: 10,
      ),
      BoxShadow(
        color: Colors.white,
        offset: Offset(-10, -10),
        blurRadius: 10,
      ),
    ]);
