import 'package:flutter/material.dart';
import 'package:og1_ui/src/models/menu_section_model.dart';

class Og1MenuSection extends StatelessWidget {
  final MenuSectionModel section;

  const Og1MenuSection(Key? key, this.section) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 55,
      margin: const EdgeInsets.symmetric(
        horizontal: 10,
      ).copyWith(
        bottom: 20,
      ),
      padding: const EdgeInsets.symmetric(
        horizontal: 20,
      ),
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(30),
        color: Theme.of(context).cardColor,
      ),
      child: ListTile(
          title: Text(section.title),
          leading: Icon(section.icon),
          trailing: section.hasNavigation
              ? const Icon(Icons.arrow_right_rounded)
              : null,
          onTap: section.onTap),
    );
  }
}
